curl --location --request PUT 'https://api.stateset.com/v1/leads/:id/engages' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation leadEngageMutation {
leadEngage (id: "${leadId}") {
leads {
id,
status
}
userErrors {
field
message
}
}
}
`;
const leads = await stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
leads = stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
leads = Stateset::Lead.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
leads, err := stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Lead leads = stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$leads = $stateset->leads->engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var leads = await stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "lead",
"engaged": true
}
This endpoint engages an existing lead.
POST
/
v1
/
leads
/
:id
/
engage
curl --location --request PUT 'https://api.stateset.com/v1/leads/:id/engages' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation leadEngageMutation {
leadEngage (id: "${leadId}") {
leads {
id,
status
}
userErrors {
field
message
}
}
}
`;
const leads = await stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
leads = stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
leads = Stateset::Lead.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
leads, err := stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Lead leads = stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$leads = $stateset->leads->engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var leads = await stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "lead",
"engaged": true
}
Body
The ID provided in the data tab may be used to identify the lead
Response
The ID provided in the data tab may be used to identify the lead
The object type
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/leads/:id/engages' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation leadEngageMutation {
leadEngage (id: "${leadId}") {
leads {
id,
status
}
userErrors {
field
message
}
}
}
`;
const leads = await stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
leads = stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
leads = Stateset::Lead.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
leads, err := stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Lead leads = stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$leads = $stateset->leads->engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var leads = await stateset.leads.engage({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "lead",
"engaged": true
}
⌘I